com.smartgwt.client.widgets.events

## Interface HasVisibilityChangedHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BrowserPlugin, Button, Calendar, Canvas, ColorPicker, ColumnTree, CubeGrid, DateChooser, DateGrid, DateRangeDialog, DetailViewer, Dialog, DrawPane, DynamicForm, EdgedCanvas, EventWindow, FacetChart, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, Label, Layout, LayoutSpacer, ListGrid, Menu, MenuBar, MenuButton, MultiFilePicker, MultiGroupDialog, NavigationBar, NavigationButton, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, ViewLoader, VLayout, VStack, WidgetCanvas, Window

      public interface HasVisibilityChangedHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addVisibilityChangedHandler(VisibilityChangedHandler handler)` Notification fired when this canvas becomes visible or hidden to the user.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addVisibilityChangedHandler

          com.google.gwt.event.shared.HandlerRegistration addVisibilityChangedHandler(VisibilityChangedHandler handler)

      Notification fired when this canvas becomes visible or hidden to the user. Note - this method is fired when the `Canvas.isVisible` state of this component changes. It may be fired in response an explicit call to `Canvas.show` or `Canvas.hide` or `Canvas.setVisibility`, or in response to a parent component being shown or hidden when this widgets `visibility` is set to "inherit".

      Note that a call to `Canvas.show` or `Canvas.hide` will not always fire this notification. If this widget has a hidden parent, show or hide would change this components `visibility` property, and may update the CSS visibility attribute of the drawn handle in the DOM, but would not actually hide or reveal the component to the user and as such the notification would not fire.

      Note also that this notification will only be fired for components which have been `drawn`.

      Parameters:
        `handler` - the visibilityChanged handler
      Returns:
        `HandlerRegistration` used to remove this handler